#
# spec file for package nautilus-dropbox
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global nautilus_extdir %( pkg-config libnautilus-extension --variable extensiondir )

Name:           nautilus-dropbox
Version:        2.10.0
Release:        5.2
Summary:        Dropbox client integrated into Nautilus
License:        GPL-3.0+ and CC-BY-ND-3.0
Group:          Productivity/File utilities
Url:            https://www.dropbox.com
Source:         https://www.dropbox.com/download?dl=packages/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM nautilus-dropbox-fix-crash.patch boo#900515 dimstar@opensuse.org -- Fix crash on startup
Patch0:         nautilus-dropbox-fix-crash.patch
BuildRequires:  desktop-file-utils
BuildRequires:  python-docutils
BuildRequires:  python-gtk
BuildRequires:  pkgconfig(libnautilus-extension) >= 2.16.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dropbox is a free service that lets you bring your photos, docs, and videos anywhere
and share them easily. Never email yourself a file again!

%package -n dropbox
Summary:        Dropbox client for Linux
Group:          Productivity/File utilities
Requires:       python-gpgme
Requires:       python-gtk

%description -n dropbox
Dropbox is a free service that lets you bring your photos, docs, and videos anywhere
and share them easily. Never email yourself a file again!

%package -n nautilus-extension-dropbox
Summary:        Dropbox client integrated into Nautilus
Group:          Productivity/File utilities
Requires:       dropbox >= %{version}
Supplements:    packageand(nautilus:dropbox)

%description -n nautilus-extension-dropbox
Dropbox is a free service that lets you bring your photos, docs, and videos anywhere
and share them easily. Never email yourself a file again!

This package integrates dropbox seamless into nautilus.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%post -n dropbox
%icon_theme_cache_post
%desktop_database_post

%postun -n dropbox
%icon_theme_cache_postun
%desktop_database_postun

%files -n dropbox
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/dropbox
%{_datadir}/applications/dropbox.desktop
%{_datadir}/icons/hicolor/*/apps/dropbox.png
%{_mandir}/man1/dropbox.1%{?ext_man}
%{_datadir}/%{name}/

%files -n nautilus-extension-dropbox
%defattr(-,root,root)
%{nautilus_extdir}/libnautilus-dropbox.so

%changelog
* Sat Feb 14 2015 malcolmlewis@opensuse.org
- Update to version 2.10.0:
  + No changelog provided.
* Wed Jan 28 2015 idonmez@suse.com
- Depend on python-gpgme (bnc#909803).
* Thu Oct 16 2014 dimstar@opensuse.org
- Add nautilus-dropbox-fix-crash.patch: fix crash on startup of
  dropbox (boo#900515).
* Sat Aug 23 2014 dimstar@opensuse.org
- Update to version 1.6.2:
  + Minor bugfixing.
* Sun Mar  2 2014 p.drouand@gmail.com
- Update to version 1.6.1:
  + No changelog available.
* Fri Mar 15 2013 dimstar@opensuse.org
- Update to version 1.6.0:
  + No changelog provided.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Sep  3 2012 cfarrell@suse.com
- license update: GPL-3.0+ and CC-BY-ND-3.0
  icons/data licensed under CC-BY-ND-3.0
* Thu Aug 30 2012 dimstar@opensuse.org
- Initial package, version 1.4.0.
